<h2 class="content-block">{{book?.title?.length ? book.title : "Nieuw boek"}}</h2>

<div class="content-block dx-card responsive-paddings">
  <dx-form id="form"
           [formData]="book"
           labelLocation="top"
           [colCountByScreen]="colCountByScreen"
  >
    <dxi-item [label]="{text: 'ID' }" dataField="id" [editorOptions]="{disabled: true}"></dxi-item>
    <dxi-item [label]="{text: 'ISBN' }" dataField="isbn"></dxi-item>
    <dxi-item [label]="{text: 'Titel' }" dataField="title"></dxi-item>
    <dxi-item [label]="{text: 'Auteurs' }" dataField="authors"></dxi-item>
    <dxi-item [label]="{text: 'Uitgeefdatum' }" dataField="publishdDate"></dxi-item>
    <dxi-item [label]="{text: 'Uitgeleend' }" dataField="borrowed" [editorOptions]="{disabled: true}"></dxi-item>
  </dx-form>

  <dx-button style="margin-right: 1rem" type="success" (onClick)="save()">Opslaan</dx-button>
  <dx-button style="margin-right: 1rem" *ngIf="bookId" type="danger" (onClick)="delete()">Verwijder</dx-button>
  <dx-button *ngIf="bookId && !book.borrowed" type="normal" (onClick)="borrow()">Uitlenen</dx-button>
  <dx-button *ngIf="bookId && book.borrowed" type="default" (onClick)="handin()">Terugnemen</dx-button>
</div>
